%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:		quadrapassel
Version:	40.2
Release:	%mkrel 1
Summary:	GNOME Quadrapassel game
License:	GPLv2+ and CC-BY-SA
Group:		Games/Arcade
URL:		https://wiki.gnome.org/Quadrapassel
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(clutter-1.0) >= 1.0.0
BuildRequires:	pkgconfig(clutter-gtk-1.0) >= 1.0.0
BuildRequires:	pkgconfig(gsound)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.4.0
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0.26
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.32.0
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(manette-0.2)
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	libxml2-utils
# For help
Requires:	yelp

%description
The Russian game of falling geometric shapes.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Quadrapassel.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Quadrapassel.gschema.xml
%{_iconsdir}/*/*/apps/org.gnome.Quadrapassel*.*
%{_datadir}/%{name}
%{_mandir}/man6/%{name}.6*
%{_datadir}/metainfo/org.gnome.Quadrapassel.appdata.xml
%{_datadir}/help

%post
%update_menus

%postun
%clean_menus


%changelog
* Fri Jun 11 2021 tex - 40.2-1pclos2021
- new version

* Tue May 18 2021 tex - 40.1-1pclos2021
- new version

* Tue May 18 2021 tex - 3.38.6-1pclos2021
- new version

* Wed Oct 07 2020 tex - 3.38.1-1pclos2020
- new version

* Thu Aug 13 2020 tex - 3.36.05-1pclos2020
- new version

* Tue Aug 04 2020 tex - 3.36.04-1pclos2020
- new version

* Tue Apr 28 2020 tex - 3.36.02-1pclos2020
- new version

* Mon Mar 09 2020 tex - 3.36.00-1pclos2020
- new version

* Mon Oct 07 2019 tex - 3.34.1-1pclos2019
- new version

* Fri Sep 13 2019 tex - 3.34.0-2pclos2019
- rebuild against updates

* Fri Sep 13 2019 tex - 3.34.0-1pclos2019
- new version 3.34.0
